Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.util.text
Class TextPosition

public class TextPosition

Represents a location within a document.

Author:
  TogetherSoft

Field Summary
`final static TextPosition` | `UNKNOWN`

Constructor Summary
`TextPosition(int line, int column)` In this form of constructor you can specify the line and the column of the position within a document.

Method Summary
`boolean` | `equals(Object other)` This method overrides `java.lang.Object.equals()`
`int` | `getColumn()` Returns an int with the number of a column of this position within a document.
`int` | `getLine()` Returns an int with the number of a line of this position within a document.
`int` | `hashCode()` This method overrides `java.lang.Object.hashCode()`

Field Detail

### UNKNOWN

    public final static TextPosition UNKNOWN

Constructor Detail

### TextPosition

    public TextPosition(int line, int column)

  In this form of constructor you can specify the line and the column of the position within a document.

Method Detail

### equals

    public boolean equals(Object other)

  This method overrides `java.lang.Object.equals()`

### getColumn

    public int getColumn()

  Returns an int with the number of a column of this position within a document.
  Returns: an int with the number of a column of this position within a document.

### getLine

    public int getLine()

  Returns an int with the number of a line of this position within a document.
  Returns: an int with the number of a line of this position within a document.

### hashCode

    public int hashCode()

  This method overrides `java.lang.Object.hashCode()`

Association Links

to Class com.togethersoft.openapi.util.text.TextPosition

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD